$primary-color: #fffdff;
$secondary-color: #0f0f0f;
$accent-color: #ff9900;
@import 'zerostyle.scss';
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&display=swap');
@mixin center {
  display: flex;
  align-items: center;
  justify-content: center;
}

@mixin media($breakpoint) {
  @if $breakpoint == tablet {
    @media (max-width: 768px) {
      @content;
    }
  } @else if $breakpoint == mobile {
    @media (max-width: 480px) {
      @content;
    }
  }
}

%container {
  margin: 0 auto;
  padding: 0 15px;
}

* {
  box-sizing: border-box;
  user-select: none;
  margin: 0;
  padding: 0;
  font-family: 'Open Sans', sans-serif;
}

.header {
  background-color: $primary-color;
  &__content {
    display: flex;
    justify-content: space-between;
    & img {
      width: 100%;
      height: 100px;
    }
  }
  &__logo {
    width: 200px;
    height: 100px;
    @include center;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }
  &__nav {
    @include center;
  }
  &__menu {
    list-style: none;
    display: flex;
    gap: 10px;
    @include media(tablet) {
      flex-direction: column;
    }
  }
  &__item {
    position: relative;
    &--dropdown:hover .header__submenu {
      display: block;
    }
  }
  &__link {
    padding: 15px;
    color: $secondary-color;
    text-decoration: none;
    transition: 300ms all;
    border-radius: 15px;
    &:hover {
      border-radius: 15px;
      color: $accent-color;
    }
  }
  &__submenu {
    position: absolute;
    border-radius: 0 0 15px 15px;
    top: 140%;
    left: 0;
    display: none;
    list-style: none;
    background-color: $primary-color;
    @include media(tablet) {
      position: static;
      display: block;
    }
  }
  &__subitem {
    border-top: 1px solid $secondary-color;
  }
  &__sublink {
    display: block;
    padding: 10px;
    color: $secondary-color;
    text-decoration: none;
    &:hover {
      color: $accent-color;
    }
  }
}

.main {
  display: flex;
  flex-direction: column;
  align-items: center;
  &-content__text {
    display: flex;
    align-items: center;
    flex-direction: column;
    .content {
      &__title {
        font-size: 30px;
        font-weight: bold;
        color: $accent-color;
        margin-bottom: 10px;
      }
      &__text {
        font-size: 20px;
        font-weight: 500;
        width: 700px;
        line-height: 30px;
        text-align: center;
      }
    }
  }
  &__content {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
  & .my__swiper {
    margin-top: 10px;
    border-radius: 15px;
    z-index: 9;
  }
  &__title {
    font-size: 36px;
    font-weight: bold;
    color: $secondary-color;
    text-align: center;
    margin: 30px 0;
  }
  &__text {
    font-size: 18px;
    color: $secondary-color;
    text-align: justify;
    margin: 15px 0;
  }
  &__button {
    display: block;
    width: 200px;
    height: 50px;
    margin: 0 auto;
    background-color: $accent-color;
    color: $primary-color;
  }
}
.container {
  @extend %container;
  display: flex;
  max-width: 1400px;
  width: 100%;
  .left-menu {
    width: 200px;
  }
  .slider {
    flex-grow: 1;
  }
}
.breadcrumbs {
  position: sticky;
  top: 0;
  background-color: $primary-color;
  z-index: 10;
}
.gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;

  &__item {
    width: 290px;
    height: 200px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
}
html {
  font-size: 16px;
  font-family: 'Arial', sans-serif;
  line-height: 1.6;
}

body {
  overflow-x: hidden;
  font-family: Arial, sans-serif;
  .container {
    // width: 80%;
    margin: 0 auto;
    text-align: center;
  }
}
a {
  transition: color 0.3s ease;
}
.header {
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);

  &__nav {
    z-index: 999;
    @include center;

    &:hover {
      background-color: lighten($primary-color, 5%);
    }
  }

  &__link {
    transition: background-color 0.3s ease, color 0.3s ease;

    &:hover {
      background-color: $accent-color;
      color: $primary-color;
    }
  }
}
.gallery {
  &__item {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease, transform 0.3s ease;
    &:hover {
      box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
      transform: translateY(-15%);
    }
  }
}
.content__button {
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  transition: background-color 0.3s ease, transform 0.3s ease;
  cursor: pointer;

  &:hover {
    background-color: darken($accent-color, 10%);
    transform: translateY(-2px);
  }
}
.footer {
  background-color: $accent-color;
  padding: 20px 0;
  text-align: center;
  &__copy {
    color: black;
    font-weight: 500;
    margin-left: 80px;
  }
}

.booking-form {
  &__input,
  &__select {
    width: 250px;
    padding: 10px;
    border-radius: 5px;
    border: 2px solid $accent-color;
    margin: 10px 0;
  }
  max-width: 700px;
  width: 100%;
  margin: 30px 0;
  display: flex;
  justify-content: center;
  background-color: $primary-color;
  padding: 20px;
  border-radius: 15px;
  box-shadow: 5px 4px 8px rgba(0, 0, 0, 0.441);
  margin-left: 20px;
  &__content {
    flex-direction: column;
  }
  &__title {
    color: $accent-color;
    font-size: 24px;
    font-weight: bold;
  }

  &__form {
    margin-top: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
  }

  &__label {
    color: $secondary-color;
    margin-bottom: 5px;
    font-weight: bold;
  }

  &__button {
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 20px;
    width: 200px;
    text-transform: uppercase;
    background-color: $accent-color;
    color: $primary-color;
    cursor: pointer;
    transition: background-color 0.3s ease;

    &:hover {
      background-color: darken($accent-color, 10%);
    }
  }
}
.registration {
  &__form {
    margin-bottom: 20px;
  }

  &__label,
  &__input,
  &__select,
  &__button,
  &__sort-button {
    display: block;
    width: 100%;
    margin-top: 10px;
  }

  &__calendar {
    margin-top: 20px;
  }
}
@media (max-width: 600px) {
  .registration {
    width: 100%;
    max-width: none;
  }
}
.slider {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  &__image {
    width: 100%;
    height: 85vh;
    object-fit: cover;
    min-width: 100%;
    transition: transform 0.5s ease;
  }
}
.swiper {
  &-pagination {
    &::after {
      color: $accent-color;
    }
  }
  &-button {
    &-next,
    &-prev {
      padding: 30px 30px;
      border-radius: 30px;
      background-color: #ffffff8e;
      &::after {
        color: $accent-color;
      }
    }
  }
}
.fullscreen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.fullscreen-img {
  max-width: 100%;
  width: 1600px;
  height: 800px;
  max-height: 100%;
}
@import 'media.scss';

